// Code generated by protoc-gen-go.
// source: google.golang.org/genproto/googleapis/api/servicecontrol/v1/check_error.proto
// DO NOT EDIT!

/*
Package google_api_servicecontrol_v1 is a generated protocol buffer package.

It is generated from these files:
	google.golang.org/genproto/googleapis/api/servicecontrol/v1/check_error.proto
	google.golang.org/genproto/googleapis/api/servicecontrol/v1/distribution.proto
	google.golang.org/genproto/googleapis/api/servicecontrol/v1/log_entry.proto
	google.golang.org/genproto/googleapis/api/servicecontrol/v1/metric_value.proto
	google.golang.org/genproto/googleapis/api/servicecontrol/v1/operation.proto
	google.golang.org/genproto/googleapis/api/servicecontrol/v1/service_controller.proto

It has these top-level messages:
	CheckError
	Distribution
	LogEntry
	MetricValue
	MetricValueSet
	Operation
	CheckRequest
	CheckResponse
	ReportRequest
	ReportResponse
*/
package google_api_servicecontrol_v1

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import _ "google.golang.org/genproto/googleapis/api/serviceconfig"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// Error codes for Check responses.
type CheckError_Code int32

const (
	// This is never used in `CheckResponse`.
	CheckError_ERROR_CODE_UNSPECIFIED CheckError_Code = 0
	// The consumer's project id was not found.
	// Same as [google.rpc.Code.NOT_FOUND][].
	CheckError_NOT_FOUND CheckError_Code = 5
	// The consumer doesn't have access to the specified resource.
	// Same as [google.rpc.Code.PERMISSION_DENIED][].
	CheckError_PERMISSION_DENIED CheckError_Code = 7
	// Quota check failed. Same as [google.rpc.Code.RESOURCE_EXHAUSTED][].
	CheckError_RESOURCE_EXHAUSTED CheckError_Code = 8
	// The consumer hasn't activated the service.
	CheckError_SERVICE_NOT_ACTIVATED CheckError_Code = 104
	// The consumer cannot access the service because billing is disabled.
	CheckError_BILLING_DISABLED CheckError_Code = 107
	// The consumer's project has been marked as deleted (soft deletion).
	CheckError_PROJECT_DELETED CheckError_Code = 108
	// The consumer's project number or id does not represent a valid project.
	CheckError_PROJECT_INVALID CheckError_Code = 114
	// The IP address of the consumer is invalid for the specific consumer
	// project.
	CheckError_IP_ADDRESS_BLOCKED CheckError_Code = 109
	// The referer address of the consumer request is invalid for the specific
	// consumer project.
	CheckError_REFERER_BLOCKED CheckError_Code = 110
	// The client application of the consumer request is invalid for the
	// specific consumer project.
	CheckError_CLIENT_APP_BLOCKED CheckError_Code = 111
	// The consumer's API key is invalid.
	CheckError_API_KEY_INVALID CheckError_Code = 105
	// The consumer's API Key has expired.
	CheckError_API_KEY_EXPIRED CheckError_Code = 112
	// The consumer's API Key was not found in config record.
	CheckError_API_KEY_NOT_FOUND CheckError_Code = 113
	// The backend server for looking up project id/number is unavailable.
	CheckError_NAMESPACE_LOOKUP_UNAVAILABLE CheckError_Code = 300
	// The backend server for checking service status is unavailable.
	CheckError_SERVICE_STATUS_UNAVAILABLE CheckError_Code = 301
	// The backend server for checking billing status is unavailable.
	CheckError_BILLING_STATUS_UNAVAILABLE CheckError_Code = 302
)

var CheckError_Code_name = map[int32]string{
	0:   "ERROR_CODE_UNSPECIFIED",
	5:   "NOT_FOUND",
	7:   "PERMISSION_DENIED",
	8:   "RESOURCE_EXHAUSTED",
	104: "SERVICE_NOT_ACTIVATED",
	107: "BILLING_DISABLED",
	108: "PROJECT_DELETED",
	114: "PROJECT_INVALID",
	109: "IP_ADDRESS_BLOCKED",
	110: "REFERER_BLOCKED",
	111: "CLIENT_APP_BLOCKED",
	105: "API_KEY_INVALID",
	112: "API_KEY_EXPIRED",
	113: "API_KEY_NOT_FOUND",
	300: "NAMESPACE_LOOKUP_UNAVAILABLE",
	301: "SERVICE_STATUS_UNAVAILABLE",
	302: "BILLING_STATUS_UNAVAILABLE",
}
var CheckError_Code_value = map[string]int32{
	"ERROR_CODE_UNSPECIFIED":       0,
	"NOT_FOUND":                    5,
	"PERMISSION_DENIED":            7,
	"RESOURCE_EXHAUSTED":           8,
	"SERVICE_NOT_ACTIVATED":        104,
	"BILLING_DISABLED":             107,
	"PROJECT_DELETED":              108,
	"PROJECT_INVALID":              114,
	"IP_ADDRESS_BLOCKED":           109,
	"REFERER_BLOCKED":              110,
	"CLIENT_APP_BLOCKED":           111,
	"API_KEY_INVALID":              105,
	"API_KEY_EXPIRED":              112,
	"API_KEY_NOT_FOUND":            113,
	"NAMESPACE_LOOKUP_UNAVAILABLE": 300,
	"SERVICE_STATUS_UNAVAILABLE":   301,
	"BILLING_STATUS_UNAVAILABLE":   302,
}

func (x CheckError_Code) String() string {
	return proto.EnumName(CheckError_Code_name, int32(x))
}
func (CheckError_Code) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{0, 0} }

// Defines the errors to be returned in
// [google.api.servicecontrol.v1.CheckResponse.check_errors][google.api.servicecontrol.v1.CheckResponse.check_errors].
type CheckError struct {
	// The error code.
	Code CheckError_Code `protobuf:"varint,1,opt,name=code,enum=google.api.servicecontrol.v1.CheckError_Code" json:"code,omitempty"`
	// Free-form text providing details on the error cause of the error.
	Detail string `protobuf:"bytes,2,opt,name=detail" json:"detail,omitempty"`
}

func (m *CheckError) Reset()                    { *m = CheckError{} }
func (m *CheckError) String() string            { return proto.CompactTextString(m) }
func (*CheckError) ProtoMessage()               {}
func (*CheckError) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *CheckError) GetCode() CheckError_Code {
	if m != nil {
		return m.Code
	}
	return CheckError_ERROR_CODE_UNSPECIFIED
}

func (m *CheckError) GetDetail() string {
	if m != nil {
		return m.Detail
	}
	return ""
}

func init() {
	proto.RegisterType((*CheckError)(nil), "google.api.servicecontrol.v1.CheckError")
	proto.RegisterEnum("google.api.servicecontrol.v1.CheckError_Code", CheckError_Code_name, CheckError_Code_value)
}

func init() {
	proto.RegisterFile("google.golang.org/genproto/googleapis/api/servicecontrol/v1/check_error.proto", fileDescriptor0)
}

var fileDescriptor0 = []byte{
	// 478 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x9c, 0x92, 0x4f, 0x6f, 0xd3, 0x3e,
	0x18, 0xc7, 0x7f, 0xe9, 0xaf, 0x0c, 0x66, 0x09, 0x16, 0x0c, 0xab, 0x46, 0x35, 0x89, 0xb2, 0xd3,
	0x2e, 0x24, 0x1a, 0x5c, 0xb8, 0xba, 0xf6, 0x53, 0x30, 0x4d, 0x63, 0xcb, 0x4e, 0xaa, 0x71, 0xb2,
	0x42, 0x1a, 0xb2, 0x68, 0x5d, 0x5c, 0xd2, 0xa8, 0xaf, 0x83, 0x57, 0xc1, 0x09, 0x78, 0x7d, 0x1c,
	0x91, 0xbb, 0xb5, 0xdd, 0x24, 0xb4, 0x03, 0x47, 0x7f, 0x9f, 0xcf, 0xf3, 0x7c, 0xfd, 0xfc, 0x41,
	0x93, 0xd2, 0xda, 0x72, 0x5e, 0x04, 0xa5, 0x9d, 0x67, 0x75, 0x19, 0xd8, 0xa6, 0x0c, 0xcb, 0xa2,
	0x5e, 0x34, 0xb6, 0xb5, 0xe1, 0x75, 0x28, 0x5b, 0x54, 0xcb, 0x30, 0x5b, 0x54, 0xe1, 0xb2, 0x68,
	0x56, 0x55, 0x5e, 0xe4, 0xb6, 0x6e, 0x1b, 0x3b, 0x0f, 0x57, 0x67, 0x61, 0x7e, 0x51, 0xe4, 0x97,
	0xa6, 0x68, 0x1a, 0xdb, 0x04, 0xeb, 0x14, 0x7c, 0x7c, 0x53, 0x2e, 0x5b, 0x54, 0xc1, 0x5d, 0x3e,
	0x58, 0x9d, 0xf5, 0xf9, 0xbf, 0x98, 0x7d, 0xa9, 0xca, 0x30, 0xab, 0x6b, 0xdb, 0x66, 0x6d, 0x65,
	0xeb, 0xe5, 0xb5, 0xd1, 0xc9, 0xb7, 0x2e, 0x42, 0xd4, 0xd9, 0x83, 0x73, 0xc7, 0x04, 0x75, 0x73,
	0x3b, 0x2b, 0x8e, 0xbc, 0x81, 0x77, 0xfa, 0xe4, 0xcd, 0xeb, 0xe0, 0xbe, 0x6f, 0x04, 0xbb, 0xbc,
	0x80, 0xda, 0x59, 0xa1, 0xd6, 0xa9, 0xb8, 0x87, 0xf6, 0x66, 0x45, 0x9b, 0x55, 0xf3, 0xa3, 0xce,
	0xc0, 0x3b, 0xdd, 0x57, 0x37, 0xaf, 0x93, 0xef, 0xff, 0xa3, 0xae, 0xc3, 0x70, 0x1f, 0xf5, 0x40,
	0x29, 0xa1, 0x0c, 0x15, 0x0c, 0x4c, 0x1a, 0x6b, 0x09, 0x94, 0x8f, 0x38, 0x30, 0xff, 0x3f, 0xfc,
	0x18, 0xed, 0xc7, 0x22, 0x31, 0x23, 0x91, 0xc6, 0xcc, 0x7f, 0x80, 0x0f, 0xd1, 0x53, 0x09, 0x6a,
	0xc2, 0xb5, 0xe6, 0x22, 0x36, 0x0c, 0x62, 0x47, 0x3d, 0xc4, 0x3d, 0x84, 0x15, 0x68, 0x91, 0x2a,
	0x0a, 0x06, 0xce, 0x3f, 0x90, 0x54, 0x27, 0xc0, 0xfc, 0x47, 0xf8, 0x05, 0x3a, 0xd4, 0xa0, 0xa6,
	0x9c, 0x82, 0x71, 0x55, 0x08, 0x4d, 0xf8, 0x94, 0xb8, 0xd0, 0x05, 0x7e, 0x8e, 0xfc, 0x21, 0x8f,
	0x22, 0x1e, 0xbf, 0x37, 0x8c, 0x6b, 0x32, 0x8c, 0x80, 0xf9, 0x97, 0xf8, 0x19, 0x3a, 0x90, 0x4a,
	0x7c, 0x04, 0x9a, 0x18, 0x06, 0x11, 0x38, 0x74, 0x7e, 0x5b, 0xe4, 0xf1, 0x94, 0x44, 0x9c, 0xf9,
	0x8d, 0xb3, 0xe4, 0xd2, 0x10, 0xc6, 0x14, 0x68, 0x6d, 0x86, 0x91, 0xa0, 0x63, 0x60, 0xfe, 0x95,
	0x83, 0x15, 0x8c, 0x40, 0x81, 0xda, 0x8a, 0xb5, 0x83, 0x69, 0xc4, 0x21, 0x4e, 0x0c, 0x91, 0x72,
	0xab, 0x5b, 0x07, 0x13, 0xc9, 0xcd, 0x18, 0x3e, 0x6d, 0x2b, 0x57, 0xb7, 0x45, 0x38, 0x97, 0x5c,
	0x01, 0xf3, 0x17, 0xae, 0xf1, 0x8d, 0xb8, 0x9b, 0xc7, 0x57, 0xfc, 0x0a, 0x1d, 0xc7, 0x64, 0x02,
	0x5a, 0x12, 0x0a, 0x26, 0x12, 0x62, 0x9c, 0x4a, 0x93, 0xc6, 0x64, 0x4a, 0x78, 0xe4, 0x5a, 0xf2,
	0x7f, 0x74, 0xf0, 0x4b, 0xd4, 0xdf, 0xcc, 0x40, 0x27, 0x24, 0x49, 0xf5, 0x1d, 0xe0, 0xe7, 0x1a,
	0xd8, 0x4c, 0xe2, 0x2f, 0xc0, 0xaf, 0xce, 0xf0, 0x1d, 0x1a, 0xe4, 0xf6, 0xea, 0xde, 0xd5, 0x0f,
	0x0f, 0x76, 0xbb, 0x97, 0xee, 0x8e, 0xa4, 0xf7, 0xdb, 0xf3, 0x3e, 0xef, 0xad, 0x6f, 0xea, 0xed,
	0x9f, 0x00, 0x00, 0x00, 0xff, 0xff, 0x76, 0xc3, 0x8a, 0x33, 0x0d, 0x03, 0x00, 0x00,
}
