// Code generated by protoc-gen-go.
// source: google.golang.org/genproto/googleapis/monitoring/v3/agent.proto
// DO NOT EDIT!

/*
Package google_monitoring_v3 is a generated protocol buffer package.

It is generated from these files:
	google.golang.org/genproto/googleapis/monitoring/v3/agent.proto
	google.golang.org/genproto/googleapis/monitoring/v3/agent_service.proto
	google.golang.org/genproto/googleapis/monitoring/v3/common.proto
	google.golang.org/genproto/googleapis/monitoring/v3/group.proto
	google.golang.org/genproto/googleapis/monitoring/v3/group_service.proto
	google.golang.org/genproto/googleapis/monitoring/v3/metric.proto
	google.golang.org/genproto/googleapis/monitoring/v3/metric_service.proto

It has these top-level messages:
	CollectdValue
	CollectdPayload
	CreateCollectdTimeSeriesRequest
	TypedValue
	TimeInterval
	Aggregation
	Group
	ListGroupsRequest
	ListGroupsResponse
	GetGroupRequest
	CreateGroupRequest
	UpdateGroupRequest
	DeleteGroupRequest
	ListGroupMembersRequest
	ListGroupMembersResponse
	Point
	TimeSeries
	ListMonitoredResourceDescriptorsRequest
	ListMonitoredResourceDescriptorsResponse
	GetMonitoredResourceDescriptorRequest
	ListMetricDescriptorsRequest
	ListMetricDescriptorsResponse
	GetMetricDescriptorRequest
	CreateMetricDescriptorRequest
	DeleteMetricDescriptorRequest
	ListTimeSeriesRequest
	ListTimeSeriesResponse
	CreateTimeSeriesRequest
	CreateTimeSeriesError
*/
package google_monitoring_v3

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import _ "google.golang.org/genproto/googleapis/api/serviceconfig"
import google_protobuf2 "github.com/golang/protobuf/ptypes/timestamp"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// The type of measurement for the data source.
type CollectdValue_DataSourceType int32

const (
	// An unspecified data source type.
	// This corresponds to [google.api.MetricDescriptor.MetricKind.METRIC_KIND_UNSPECIFIED].
	CollectdValue_UNSPECIFIED_DATA_SOURCE_TYPE CollectdValue_DataSourceType = 0
	// An instantaneous measurement of a varying quantity.
	// This corresponds to [google.api.MetricDescriptor.MetricKind.GAUGE].
	CollectdValue_GAUGE CollectdValue_DataSourceType = 1
	// A cumulative value over time.
	// This corresponds to [google.api.MetricDescriptor.MetricKind.CUMULATIVE].
	CollectdValue_COUNTER CollectdValue_DataSourceType = 2
	// A rate of change of the measurement.
	CollectdValue_DERIVE CollectdValue_DataSourceType = 3
	// An amount of change since the last measurement interval.
	// This corresponds to [google.api.MetricDescriptor.MetricKind.DELTA].
	CollectdValue_ABSOLUTE CollectdValue_DataSourceType = 4
)

var CollectdValue_DataSourceType_name = map[int32]string{
	0: "UNSPECIFIED_DATA_SOURCE_TYPE",
	1: "GAUGE",
	2: "COUNTER",
	3: "DERIVE",
	4: "ABSOLUTE",
}
var CollectdValue_DataSourceType_value = map[string]int32{
	"UNSPECIFIED_DATA_SOURCE_TYPE": 0,
	"GAUGE":    1,
	"COUNTER":  2,
	"DERIVE":   3,
	"ABSOLUTE": 4,
}

func (x CollectdValue_DataSourceType) String() string {
	return proto.EnumName(CollectdValue_DataSourceType_name, int32(x))
}
func (CollectdValue_DataSourceType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor0, []int{0, 0}
}

// A single data point from a `collectd`-based plugin.
type CollectdValue struct {
	// The data source for the `collectd` value. For example there are
	// two data sources for network measurements: `"rx"` and `"tx"`.
	DataSourceName string `protobuf:"bytes,1,opt,name=data_source_name,json=dataSourceName" json:"data_source_name,omitempty"`
	// The type of measurement.
	DataSourceType CollectdValue_DataSourceType `protobuf:"varint,2,opt,name=data_source_type,json=dataSourceType,enum=google.monitoring.v3.CollectdValue_DataSourceType" json:"data_source_type,omitempty"`
	// The measurement value.
	Value *TypedValue `protobuf:"bytes,3,opt,name=value" json:"value,omitempty"`
}

func (m *CollectdValue) Reset()                    { *m = CollectdValue{} }
func (m *CollectdValue) String() string            { return proto.CompactTextString(m) }
func (*CollectdValue) ProtoMessage()               {}
func (*CollectdValue) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *CollectdValue) GetDataSourceName() string {
	if m != nil {
		return m.DataSourceName
	}
	return ""
}

func (m *CollectdValue) GetDataSourceType() CollectdValue_DataSourceType {
	if m != nil {
		return m.DataSourceType
	}
	return CollectdValue_UNSPECIFIED_DATA_SOURCE_TYPE
}

func (m *CollectdValue) GetValue() *TypedValue {
	if m != nil {
		return m.Value
	}
	return nil
}

// A collection of data points sent from a `collectd`-based plugin.
// See the `collectd` documentation for more information.
type CollectdPayload struct {
	// The measured values during this time interval.
	// Each value must have a different `dataSourceName`.
	Values []*CollectdValue `protobuf:"bytes,1,rep,name=values" json:"values,omitempty"`
	// The start time of the interval.
	StartTime *google_protobuf2.Timestamp `protobuf:"bytes,2,opt,name=start_time,json=startTime" json:"start_time,omitempty"`
	// The end time of the interval.
	EndTime *google_protobuf2.Timestamp `protobuf:"bytes,3,opt,name=end_time,json=endTime" json:"end_time,omitempty"`
	// The name of the plugin. Example: `"disk"`.
	Plugin string `protobuf:"bytes,4,opt,name=plugin" json:"plugin,omitempty"`
	// The instance name of the plugin Example: `"hdcl"`.
	PluginInstance string `protobuf:"bytes,5,opt,name=plugin_instance,json=pluginInstance" json:"plugin_instance,omitempty"`
	// The measurement type. Example: `"memory"`.
	Type string `protobuf:"bytes,6,opt,name=type" json:"type,omitempty"`
	// The measurement type instance. Example: `"used"`.
	TypeInstance string `protobuf:"bytes,7,opt,name=type_instance,json=typeInstance" json:"type_instance,omitempty"`
	// The measurement metadata. Example: `"process_id" -> 12345`
	Metadata map[string]*TypedValue `protobuf:"bytes,8,rep,name=metadata" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
}

func (m *CollectdPayload) Reset()                    { *m = CollectdPayload{} }
func (m *CollectdPayload) String() string            { return proto.CompactTextString(m) }
func (*CollectdPayload) ProtoMessage()               {}
func (*CollectdPayload) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *CollectdPayload) GetValues() []*CollectdValue {
	if m != nil {
		return m.Values
	}
	return nil
}

func (m *CollectdPayload) GetStartTime() *google_protobuf2.Timestamp {
	if m != nil {
		return m.StartTime
	}
	return nil
}

func (m *CollectdPayload) GetEndTime() *google_protobuf2.Timestamp {
	if m != nil {
		return m.EndTime
	}
	return nil
}

func (m *CollectdPayload) GetPlugin() string {
	if m != nil {
		return m.Plugin
	}
	return ""
}

func (m *CollectdPayload) GetPluginInstance() string {
	if m != nil {
		return m.PluginInstance
	}
	return ""
}

func (m *CollectdPayload) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *CollectdPayload) GetTypeInstance() string {
	if m != nil {
		return m.TypeInstance
	}
	return ""
}

func (m *CollectdPayload) GetMetadata() map[string]*TypedValue {
	if m != nil {
		return m.Metadata
	}
	return nil
}

func init() {
	proto.RegisterType((*CollectdValue)(nil), "google.monitoring.v3.CollectdValue")
	proto.RegisterType((*CollectdPayload)(nil), "google.monitoring.v3.CollectdPayload")
	proto.RegisterEnum("google.monitoring.v3.CollectdValue_DataSourceType", CollectdValue_DataSourceType_name, CollectdValue_DataSourceType_value)
}

func init() {
	proto.RegisterFile("google.golang.org/genproto/googleapis/monitoring/v3/agent.proto", fileDescriptor0)
}

var fileDescriptor0 = []byte{
	// 566 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x9c, 0x54, 0x5d, 0x8b, 0xd3, 0x40,
	0x14, 0x35, 0xcd, 0x6e, 0xb7, 0x7b, 0xbb, 0xed, 0x86, 0x41, 0x24, 0x14, 0x1f, 0x42, 0xf7, 0xc1,
	0x3c, 0x25, 0xd0, 0xa2, 0xa8, 0xfb, 0xa0, 0xfd, 0x88, 0x4b, 0x41, 0xdb, 0x92, 0xa6, 0x0b, 0x82,
	0x12, 0xa6, 0xc9, 0x6c, 0x0c, 0x26, 0x33, 0x21, 0x99, 0x16, 0xfa, 0xc3, 0xfc, 0x53, 0xfe, 0x0a,
	0x99, 0x49, 0xda, 0x5a, 0x28, 0xba, 0xfa, 0xd4, 0x3b, 0xf7, 0x9e, 0x73, 0x66, 0x7a, 0xce, 0x25,
	0xf0, 0x2e, 0x62, 0x2c, 0x4a, 0x88, 0x15, 0xb1, 0x04, 0xd3, 0xc8, 0x62, 0x79, 0x64, 0x47, 0x84,
	0x66, 0x39, 0xe3, 0xcc, 0x2e, 0x47, 0x38, 0x8b, 0x0b, 0x3b, 0x65, 0x34, 0xe6, 0x2c, 0x8f, 0x69,
	0x64, 0x6f, 0xfa, 0x36, 0x8e, 0x08, 0xe5, 0x96, 0x04, 0xa1, 0xa7, 0x95, 0xc0, 0x01, 0x61, 0x6d,
	0xfa, 0x9d, 0xc9, 0xe3, 0x64, 0x71, 0x16, 0xdb, 0x05, 0xc9, 0x37, 0x71, 0x40, 0x02, 0x46, 0x1f,
	0xe2, 0xc8, 0xc6, 0x94, 0x32, 0x8e, 0x79, 0xcc, 0x68, 0x51, 0x5e, 0xd0, 0x79, 0xff, 0x3f, 0x2f,
	0x0c, 0x58, 0x9a, 0x32, 0x5a, 0x29, 0xdc, 0x46, 0x31, 0xff, 0xb6, 0x5e, 0x59, 0x01, 0x4b, 0xed,
	0x52, 0xc5, 0x96, 0x83, 0xd5, 0xfa, 0xc1, 0xce, 0xf8, 0x36, 0x23, 0x85, 0xcd, 0xe3, 0x94, 0x14,
	0x1c, 0xa7, 0xd9, 0xa1, 0x2a, 0xc9, 0xdd, 0x1f, 0x35, 0x68, 0x8d, 0x58, 0x92, 0x90, 0x80, 0x87,
	0xf7, 0x38, 0x59, 0x13, 0x64, 0x82, 0x16, 0x62, 0x8e, 0xfd, 0x82, 0xad, 0xf3, 0x80, 0xf8, 0x14,
	0xa7, 0x44, 0x57, 0x0c, 0xc5, 0xbc, 0x74, 0xdb, 0xa2, 0xbf, 0x90, 0xed, 0x29, 0x4e, 0x09, 0xfa,
	0x72, 0x8c, 0x14, 0x57, 0xe9, 0x35, 0x43, 0x31, 0xdb, 0xbd, 0x9e, 0x75, 0xca, 0x36, 0xeb, 0xe8,
	0x22, 0x6b, 0xbc, 0x57, 0xf3, 0xb6, 0x19, 0xf9, 0x5d, 0x5d, 0x9c, 0xd1, 0x2b, 0x38, 0xdf, 0x08,
	0x9c, 0xae, 0x1a, 0x8a, 0xd9, 0xec, 0x19, 0xa7, 0x25, 0x05, 0xb4, 0xd4, 0x73, 0x4b, 0x78, 0x37,
	0x84, 0xf6, 0xb1, 0x32, 0x32, 0xe0, 0xf9, 0x72, 0xba, 0x98, 0x3b, 0xa3, 0xc9, 0x87, 0x89, 0x33,
	0xf6, 0xc7, 0x03, 0x6f, 0xe0, 0x2f, 0x66, 0x4b, 0x77, 0xe4, 0xf8, 0xde, 0xe7, 0xb9, 0xa3, 0x3d,
	0x41, 0x97, 0x70, 0x7e, 0x37, 0x58, 0xde, 0x39, 0x9a, 0x82, 0x9a, 0x70, 0x31, 0x9a, 0x2d, 0xa7,
	0x9e, 0xe3, 0x6a, 0x35, 0x04, 0x50, 0x1f, 0x3b, 0xee, 0xe4, 0xde, 0xd1, 0x54, 0x74, 0x05, 0x8d,
	0xc1, 0x70, 0x31, 0xfb, 0xb8, 0xf4, 0x1c, 0xed, 0xac, 0xfb, 0x53, 0x85, 0xeb, 0xdd, 0xdf, 0x99,
	0xe3, 0x6d, 0xc2, 0x70, 0x88, 0x6e, 0xa1, 0x2e, 0x9f, 0x50, 0xe8, 0x8a, 0xa1, 0x9a, 0xcd, 0xde,
	0xcd, 0x23, 0x5c, 0x70, 0x2b, 0x0a, 0x7a, 0x03, 0x50, 0x70, 0x9c, 0x73, 0x5f, 0x24, 0x24, 0x6d,
	0x6c, 0xf6, 0x3a, 0x3b, 0x81, 0x5d, 0x9e, 0x96, 0xb7, 0x8b, 0xcf, 0xbd, 0x94, 0x68, 0x71, 0x46,
	0x2f, 0xa1, 0x41, 0x68, 0x58, 0x12, 0xd5, 0xbf, 0x12, 0x2f, 0x08, 0x0d, 0x25, 0xed, 0x19, 0xd4,
	0xb3, 0x64, 0x1d, 0xc5, 0x54, 0x3f, 0x93, 0xf1, 0x56, 0x27, 0xf4, 0x02, 0xae, 0xcb, 0xca, 0x8f,
	0x69, 0xc1, 0x31, 0x0d, 0x88, 0x7e, 0x5e, 0xe6, 0x5f, 0xb6, 0x27, 0x55, 0x17, 0x21, 0x38, 0x93,
	0x99, 0xd7, 0xe5, 0x54, 0xd6, 0xe8, 0x06, 0x5a, 0xe2, 0xf7, 0x40, 0xbd, 0x90, 0xc3, 0x2b, 0xd1,
	0xdc, 0x13, 0x67, 0xd0, 0x48, 0x09, 0xc7, 0x22, 0x70, 0xbd, 0x21, 0xad, 0xea, 0xff, 0xd9, 0xaa,
	0xca, 0x61, 0xeb, 0x53, 0xc5, 0x72, 0x28, 0xcf, 0xb7, 0xee, 0x5e, 0xa4, 0xf3, 0x15, 0x5a, 0x47,
	0x23, 0xa4, 0x81, 0xfa, 0x9d, 0x6c, 0xab, 0xbd, 0x15, 0xe5, 0x61, 0x9d, 0x6a, 0xff, 0xb4, 0x4e,
	0x6f, 0x6b, 0xaf, 0x95, 0xa1, 0x09, 0x7a, 0xc0, 0xd2, 0x93, 0x8c, 0x21, 0x0c, 0xc4, 0xd7, 0x62,
	0x2e, 0x7c, 0x9e, 0x2b, 0xab, 0xba, 0x34, 0xbc, 0xff, 0x2b, 0x00, 0x00, 0xff, 0xff, 0x9e, 0xbe,
	0x6c, 0xfd, 0x78, 0x04, 0x00, 0x00,
}
